package com.ejie.ab79.service.propuestaSancion;

import java.util.List;

import org.springframework.stereotype.Service;

import com.ejie.ab79.model.propuestaSancion.DocumentosPropuesta;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;
import com.ejie.x38.dto.TableRowDto;

@Service(value = "propuestaSancionDocumentosService")
public class PropuestaSancionDocumentosServiceImpl implements PropuestaSancionDocumentosService {

	@Override
	public TableResponseDto<DocumentosPropuesta> filter(String IdInspeccion, TableRequestDto tableRequestDto,
			boolean b) {

		return null;
	}

	@Override
	public TableResponseDto<DocumentosPropuesta> getTable(List<DocumentosPropuesta> listaDocumentos,
			TableRequestDto tableRequestDto) {

		Long recordNum = (long) listaDocumentos.size();
		return new TableResponseDto<DocumentosPropuesta>(tableRequestDto, recordNum, listaDocumentos);
	}

	@Override
	public List<TableRowDto<DocumentosPropuesta>> search(String idInspeccion,
			List<DocumentosPropuesta> searchDocumentos, TableRequestDto tableRequestDto, Boolean startsWith) {

		return null;
	}
}